SwiftGoma.SwiftGoma

Search endpoints

Jump to any API endpoint by name, method, or path

Riders

Suspend rider

POST/api/v1/riders/:id/suspend

Temporarily disables a rider, e.g. while investigating a delivery issue.

Requires Authorization
SELLER only
Authenticated action

Path parameters

idstringrequired
Rider ID.

Body parameters

reasonstring
Request
curl --request POST \
  --url https://api.swiftgoma.com/api/v1/riders/:id/suspend \
  --header 'Authorization: Bearer <access_token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "reason": "<reason>"
}'
200Example response
{
  "success": true,
  "data": {
    "id": "rider_1a2b3c",
    "userId": "9c8d7e6f",
    "sellerProfileId": "sp_2b3c4d",
    "name": "Jean Kabila",
    "status": "SUSPENDED",
    "createdAt": "2026-01-20T09:00:00.000Z"
  }
}